Flattr this!

This release includes performance improvements, bug fixes, support for Solaris 11, and Firefox 5 and up.

“What Java Do I Need?” You must have a copy of theJRE (Java Runtime Environment) on your system to runJava applications and applets. To develop Java applications and applets, you need the JDK (Java Development Kit), which includes the JRE.

Link for Java SE 7u2 update